Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.comictypes
Class IndexedComic

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ComicParser
          com.blogspot.applications4android.comicreader.core.Comic
              com.blogspot.applications4android.comicreader.comictypes.IndexedComic

Direct Known Subclasses:
  AbstruseGoose, AGirlandHerFed, ArchivedComic, ASofterWorld, Bunbuns, CalamitiesOfNature, ChamberoftheArcanum, DarkLegacy, DarthsandDroids, Dinosaur, ExtraOrdinary, GeekAndPoke, GunnerkriggCourt, IrregularWebComic, JoeAndMonkey, LookingForGroup, OOTS, PbfComics, PhDComics, QuestionableContent, RandomIndexedComic, Sinfest, SMBC, SomethingofthatIlk, SurvivingtheWorld, VGCats, VirtualShackles, Wondermark, Xkcd, Yafgc

    public abstract class IndexedComic

extends Comic

Base class for all indexed comics

Field Summary
`protected Bound` | `mBound` bound for this comic
`protected int` | `mLatestId` latest comic id

Fields inherited from class com.blogspot.applications4android.comicreader.core.Comic
`DIALOG_DATE, DIALOG_NUMBER, mFirstUid, mLatestUid, mPrevSessionUid, NAV_CURRENT, NAV_FIRST, NAV_LATEST, NAV_LATEST_FORCE, NAV_NEXT, NAV_PREV_SESSION, NAV_PREVIOUS, NAV_RANDOM, PROPS, TYPE_CACHING, TYPE_FAVORITE, TYPE_LATEST, TYPE_PREV_SESSION, TYPE_PREVIEW`

Constructor Summary
`IndexedComic()` Constructor

Method Summary
`int` | `addException(int in, int increment)` For those days which do not have a comic strip If the given indexed comic series WAS irregular previously but now has been regular, then you have to override this function!
`int` | `dialogType()` Type of dialog to be used for choosing comics
`Bound` | `getBound()` Returns the bound for the current comic
`int` | `getCurrentId()` Helper function to get the current comic id
`protected int` | `getFirstId()` Returns the first comic-id
`protected java.lang.String` | `getFirstStripUrl()` Gets the url for the first strip
`protected abstract java.lang.String` | `getFrontPageUrl()` Return the front page URL from where to get the latest comic URL.
`protected abstract int` | `getIdFromStripUrl(java.lang.String url)` Get the comic-id from strip URL
`protected int` | `getLatestId()` Returns the latest comic-id
`protected java.lang.String` | `getLatestStripUrl()` Gets the url for the latest strip
`protected java.lang.String` | `getNextStripUrl()` Gets the url for the next strip
`protected java.lang.String` | `getPreviousStripUrl()` Gets the url for the previous strip
`protected java.lang.String` | `getRandomStripUrl()` Gets the url for the previous strip
`abstract java.lang.String` | `getStripUrlFromId(int num)` Get the strip URL from the input comic-id.
`protected abstract int` | `parseForLatestId(java.io.BufferedReader reader)` Helper function to parse the latest comic's html page in order to get the latest comic id.
`protected java.lang.String[]` | `urlsNotForCaching()` Gives out the list of urls (can be regexes) which are not supposed to be cached using 'mStrips'

Methods inherited from class com.blogspot.applications4android.comicreader.core.Comic
`clearCache, clearHistory, currentHasImageText, currentTitleAsValidFilename, downloadCurrentStrip, getComicName, getComicWebPageUrl, getCurrentStrip, getDefaultZoom, getFirstStrip, getLatestStrip, getLatestStripForcefully, getLaunchType, getName, getNextStrip, getPreviousSessionStrip, getPreviousStrip, getRandomStrip, getStripFromUrl, hasPreviousSession, hasUid, isCurrentFavorite, isCurrentFirstStrip, isCurrentLatestStrip, navigateStrip, queryUid, readOnlyUnread, readProperties, setCacheEnabled, setComicName, setCurrentAsFavorite, setDefaultZoom, setLaunchType, writeProperties`

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicParser
`htmlNeeded, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mBound

    protected Bound mBound

  bound for this comic

### mLatestId

    protected int mLatestId

  latest comic id

Constructor Detail

### IndexedComic

    public IndexedComic()

  Constructor

Method Detail

### getCurrentId

    public int getCurrentId()

  Helper function to get the current comic id

  Returns:
    id

### addException

    public int addException(int in,
                            int increment)

  For those days which do not have a comic strip If the given indexed comic series WAS irregular previously but now has been regular, then you have to override this function!

  Parameters:
    `in` - the index which needs to take care of this
    `increment` - which date needs to be shown instead.
  Returns:
    updated index

### getBound

    public Bound getBound()

  Description copied from class: `Comic`
  Returns the bound for the current comic

  Specified by:
    `getBound` in class `Comic`
  Returns:
    bound

### dialogType

    public int dialogType()

  Description copied from class: `Comic`
  Type of dialog to be used for choosing comics

  Specified by:
    `dialogType` in class `Comic`
  Returns:
    int

### getLatestStripUrl

    protected java.lang.String getLatestStripUrl()

  Description copied from class: `Comic`
  Gets the url for the latest strip

  Specified by:
    `getLatestStripUrl` in class `Comic`
  Returns:
    url

### getFirstStripUrl

    protected java.lang.String getFirstStripUrl()

  Description copied from class: `Comic`
  Gets the url for the first strip

  Specified by:
    `getFirstStripUrl` in class `Comic`
  Returns:
    url

### getNextStripUrl

    protected java.lang.String getNextStripUrl()

  Description copied from class: `Comic`
  Gets the url for the next strip

  Specified by:
    `getNextStripUrl` in class `Comic`
  Returns:
    url

### getPreviousStripUrl

    protected java.lang.String getPreviousStripUrl()

  Description copied from class: `Comic`
  Gets the url for the previous strip

  Specified by:
    `getPreviousStripUrl` in class `Comic`
  Returns:
    url

### getRandomStripUrl

    protected java.lang.String getRandomStripUrl()

  Description copied from class: `Comic`
  Gets the url for the previous strip

  Specified by:
    `getRandomStripUrl` in class `Comic`
  Returns:
    url

### getLatestId

    protected int getLatestId()

  Returns the latest comic-id

  Returns:
    latest comic-id

### getFirstId

    protected int getFirstId()

  Returns the first comic-id

  Returns:
    first comic-id

### parseForLatestId

    protected abstract int parseForLatestId(java.io.BufferedReader reader)
                                     throws ComicLatestException,
                                            java.io.IOException

  Helper function to parse the latest comic's html page in order to get the latest comic id.

  Parameters:
    `reader` - reader from which to parse for latest id
  Returns:
    latest comic id
  Throws:
    `ComicLatestException`
    `java.io.IOException`

### getStripUrlFromId

    public abstract java.lang.String getStripUrlFromId(int num)

  Get the strip URL from the input comic-id.

  Parameters:
    `num` - the comic-id
  Returns:
    the strip URL

### getIdFromStripUrl

    protected abstract int getIdFromStripUrl(java.lang.String url)

  Get the comic-id from strip URL

  Parameters:
    `url` - comic url
  Returns:
    the comic-id

### getFrontPageUrl

    protected abstract java.lang.String getFrontPageUrl()

  Return the front page URL from where to get the latest comic URL.

  Returns:
    front page URL

### urlsNotForCaching

    protected java.lang.String[] urlsNotForCaching()

  Description copied from class: `Comic`
  Gives out the list of urls (can be regexes) which are not supposed to be cached using 'mStrips'

  Specified by:
    `urlsNotForCaching` in class `Comic`
  Returns:
    list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD